Skip to main content
PUT
/
preview
/
retail-media
/
third-party-accounts
/
{accountId}
/
sellers
/preview/retail-media/third-party-accounts/{accountId}/sellers
curl --request PUT \
  --url https://api.criteo.com/preview/retail-media/third-party-accounts/{accountId}/sellers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "retailerId": 123,
        "sellerId": "<string>"
      },
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "retailerId": 123,
        "sellerId": "<string>"
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

accountId to update sellers for

Body

application/json

A top-level object that encapsulates a Criteo API request for several value objects.

data
object[] | null

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several value objects.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.